package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 记录浏览人数对象 boman_tourists_number
 * 
 * @author ruoyi
 * @date 2024-04-03
 */
public class BomanTouristsNumber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long touristsId;

    /** 游客数量 */
    @Excel(name = "游客数量")
    private Long number;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String day;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    private String startTime;
    private String endTime;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public void setTouristsId(Long touristsId)
    {
        this.touristsId = touristsId;
    }

    public Long getTouristsId() 
    {
        return touristsId;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setDay(String day)
    {
        this.day = day;
    }

    public String getDay()
    {
        return day;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("touristsId", getTouristsId())
            .append("number", getNumber())
            .append("day", getDay())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
