package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 摄像机设备对象 boman_camera
 * 
 * @author ruoyi
 * @date 2024-01-02
 */
public class BomanCamera extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long cameraId;

    /** 0：录像机（NVR），1：摄像头 */
    @Excel(name = "0：录像机", readConverterExp = "NVR")
    private String type;

    /** 图片 */
    @Excel(name = "图片")
    private String cameraImage;

    /** 设备ip */
    @Excel(name = "设备ip")
    private String ip;

    /** 设备端口 */
    @Excel(name = "设备端口")
    private String prod;

    /** 设备账号 */
    @Excel(name = "设备账号")
    private String cameraAccount;

    /** 登录密码 */
    @Excel(name = "登录密码")
    private String cameraPwd;

    /** 设备位置 */
    @Excel(name = "设备位置")
    private String position;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否分页 */
    private String isPage;

    public String getIsPage() {
        return isPage;
    }

    public void setIsPage(String isPage) {
        this.isPage = isPage;
    }

    public void setCameraId(Long cameraId)
    {
        this.cameraId = cameraId;
    }

    public Long getCameraId() 
    {
        return cameraId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setCameraImage(String cameraImage) 
    {
        this.cameraImage = cameraImage;
    }

    public String getCameraImage() 
    {
        return cameraImage;
    }
    public void setIp(String ip) 
    {
        this.ip = ip;
    }

    public String getIp() 
    {
        return ip;
    }
    public void setProd(String prod) 
    {
        this.prod = prod;
    }

    public String getProd() 
    {
        return prod;
    }
    public void setCameraAccount(String cameraAccount) 
    {
        this.cameraAccount = cameraAccount;
    }

    public String getCameraAccount() 
    {
        return cameraAccount;
    }
    public void setCameraPwd(String cameraPwd) 
    {
        this.cameraPwd = cameraPwd;
    }

    public String getCameraPwd() 
    {
        return cameraPwd;
    }
    public void setPosition(String position) 
    {
        this.position = position;
    }

    public String getPosition() 
    {
        return position;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cameraId", getCameraId())
            .append("type", getType())
            .append("cameraImage", getCameraImage())
            .append("ip", getIp())
            .append("prod", getProd())
            .append("cameraAccount", getCameraAccount())
            .append("cameraPwd", getCameraPwd())
            .append("position", getPosition())
            .append("sort", getSort())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
